
Object.defineProperty(exports, "__esModule", { value: true });

const {
  Decimal,
  objectEnumValues,
  makeStrictEnum,
  Public,
  getRuntime,
} = require('./runtime/index-browser.js')


const Prisma = {}

exports.Prisma = Prisma
exports.$Enums = {}

/**
 * Prisma Client JS version: 5.18.0
 * Query Engine version: 4c784e32044a8a016d99474bd02a3b6123742169
 */
Prisma.prismaVersion = {
  client: "5.18.0",
  engine: "4c784e32044a8a016d99474bd02a3b6123742169"
}

Prisma.PrismaClientKnownRequestError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientKnownRequestError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)};
Prisma.PrismaClientUnknownRequestError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientUnknownRequestError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.PrismaClientRustPanicError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientRustPanicError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.PrismaClientInitializationError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientInitializationError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.PrismaClientValidationError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`PrismaClientValidationError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.NotFoundError = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`NotFoundError is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.Decimal = Decimal

/**
 * Re-export of sql-template-tag
 */
Prisma.sql = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`sqltag is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.empty = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`empty is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.join = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`join is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.raw = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`raw is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.validator = Public.validator

/**
* Extensions
*/
Prisma.getExtensionContext = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`Extensions.getExtensionContext is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}
Prisma.defineExtension = () => {
  const runtimeName = getRuntime().prettyName;
  throw new Error(`Extensions.defineExtension is unable to run in this browser environment, or has been bundled for the browser (running in ${runtimeName}).
In case this error is unexpected for you, please report it in https://pris.ly/prisma-prisma-bug-report`,
)}

/**
 * Shorthand utilities for JSON filtering
 */
Prisma.DbNull = objectEnumValues.instances.DbNull
Prisma.JsonNull = objectEnumValues.instances.JsonNull
Prisma.AnyNull = objectEnumValues.instances.AnyNull

Prisma.NullTypes = {
  DbNull: objectEnumValues.classes.DbNull,
  JsonNull: objectEnumValues.classes.JsonNull,
  AnyNull: objectEnumValues.classes.AnyNull
}

/**
 * Enums
 */

exports.Prisma.TransactionIsolationLevel = makeStrictEnum({
  ReadUncommitted: 'ReadUncommitted',
  ReadCommitted: 'ReadCommitted',
  RepeatableRead: 'RepeatableRead',
  Serializable: 'Serializable'
});

exports.Prisma.AWS_Policy_RoleScalarFieldEnum = {
  id: 'id',
  assistant_id: 'assistant_id',
  agent_bedrock_policy: 'agent_bedrock_policy',
  agent_kb_schema_policy: 'agent_kb_schema_policy',
  kb_bedrock_policy: 'kb_bedrock_policy',
  kb_aoss_policy: 'kb_aoss_policy',
  kb_s3_policy: 'kb_s3_policy',
  agent_role_name: 'agent_role_name',
  kb_role_name: 'kb_role_name',
  createtime: 'createtime'
};

exports.Prisma.Ai_Agent_AssistantsScalarFieldEnum = {
  id: 'id',
  userId: 'userId',
  username: 'username',
  agent_sort: 'agent_sort',
  agent_tag: 'agent_tag',
  assistantName: 'assistantName',
  description: 'description',
  prologue: 'prologue',
  headUrl: 'headUrl',
  instructions: 'instructions',
  isRetrieval: 'isRetrieval',
  isCode: 'isCode',
  isGoogle: 'isGoogle',
  isDalleImage: 'isDalleImage',
  functionNames: 'functionNames',
  functionContents: 'functionContents',
  assistant_id: 'assistant_id',
  thread_id: 'thread_id',
  file_ids: 'file_ids',
  file_names: 'file_names',
  isPublish: 'isPublish',
  organize_id: 'organize_id',
  vector_store_id: 'vector_store_id',
  modelType: 'modelType',
  createtime: 'createtime',
  updatetime: 'updatetime',
  a: 'a'
};

exports.Prisma.Ai_Agent_ThreadsScalarFieldEnum = {
  id: 'id',
  userId: 'userId',
  assistant_id: 'assistant_id',
  thread_id: 'thread_id',
  createtime: 'createtime',
  session_name: 'session_name'
};

exports.Prisma.AssistantScalarFieldEnum = {
  id: 'id',
  uid: 'uid',
  assistant_id: 'assistant_id',
  thread_id: 'thread_id',
  file_ids: 'file_ids',
  vector_store_id: 'vector_store_id',
  createtime: 'createtime'
};

exports.Prisma.ChatScalarFieldEnum = {
  id: 'id',
  groupid: 'groupid',
  userid: 'userid',
  username: 'username',
  answer: 'answer',
  problem: 'problem',
  createtime: 'createtime',
  fileid: 'fileid',
  isMindMap: 'isMindMap',
  filename: 'filename',
  session_name: 'session_name',
  scene: 'scene'
};

exports.Prisma.DispositionScalarFieldEnum = {
  id: 'id',
  module: 'module',
  disposition_class: 'disposition_class',
  disposition_type: 'disposition_type',
  disposition_style: 'disposition_style',
  disposition_theme: 'disposition_theme',
  user_id: 'user_id',
  create_time: 'create_time'
};

exports.Prisma.GroupScalarFieldEnum = {
  id: 'id',
  name: 'name',
  userid: 'userid',
  createtime: 'createtime'
};

exports.Prisma.GroupFileScalarFieldEnum = {
  id: 'id',
  userid: 'userid',
  fileurl: 'fileurl',
  filename: 'filename',
  groupid: 'groupid',
  abstract: 'abstract',
  assistantFileId: 'assistantFileId',
  modelType: 'modelType',
  createtime: 'createtime'
};

exports.Prisma.InvitationCodeScalarFieldEnum = {
  id: 'id',
  cid: 'cid',
  themeId: 'themeId',
  type: 'type',
  invitationCode: 'invitationCode',
  createtime: 'createtime'
};

exports.Prisma.Ai_agent_park_sessionScalarFieldEnum = {
  id: 'id',
  session_name: 'session_name',
  user_id: 'user_id',
  isCocoNote: 'isCocoNote',
  createtime: 'createtime',
  work_area_text: 'work_area_text',
  scene: 'scene'
};

exports.Prisma.Classroom_ob_commentScalarFieldEnum = {
  id: 'id',
  module_id: 'module_id',
  module_name: 'module_name',
  nickname: 'nickname',
  commentContent: 'commentContent',
  audit_status: 'audit_status',
  t_id: 't_id',
  create_time: 'create_time'
};

exports.Prisma.Classroom_observationScalarFieldEnum = {
  id: 'id',
  jsonData: 'jsonData',
  Type: 'Type',
  tIndex: 'tIndex',
  tId: 'tId',
  createtime: 'createtime',
  like_num: 'like_num',
  like_data: 'like_data',
  userid: 'userid',
  isdel: 'isdel',
  limitData: 'limitData'
};

exports.Prisma.Course_resourceScalarFieldEnum = {
  id: 'id',
  subject: 'subject',
  grade: 'grade',
  textbook: 'textbook',
  book_type: 'book_type',
  unit: 'unit',
  period: 'period',
  unit_content: 'unit_content',
  course_content: 'course_content'
};

exports.Prisma.Knowledge_construction_docScalarFieldEnum = {
  id: 'id',
  muti_id: 'muti_id',
  user_id: 'user_id',
  session_id: 'session_id',
  content: 'content',
  create_time: 'create_time'
};

exports.Prisma.Meeting_trickScalarFieldEnum = {
  id: 'id',
  createtime: 'createtime',
  userid: 'userid',
  meeting_name: 'meeting_name',
  meeting_original: 'meeting_original',
  meeting_minutes: 'meeting_minutes',
  audio_url: 'audio_url',
  duration: 'duration',
  ab: 'ab'
};

exports.Prisma.Meeting_trick_chatScalarFieldEnum = {
  id: 'id',
  meeting_id: 'meeting_id',
  createtime: 'createtime',
  user_content: 'user_content',
  ai_content: 'ai_content'
};

exports.Prisma.Muti_agent_listScalarFieldEnum = {
  id: 'id',
  userid: 'userid',
  username: 'username',
  muti_name: 'muti_name',
  description: 'description',
  isPublish: 'isPublish',
  organizeid: 'organizeid',
  content: 'content',
  create_time: 'create_time',
  knowledge_construction: 'knowledge_construction'
};

exports.Prisma.Park_chat_file_listScalarFieldEnum = {
  id: 'id',
  user_id: 'user_id',
  file_names: 'file_names',
  file_ids: 'file_ids',
  create_time: 'create_time',
  file_urls: 'file_urls'
};

exports.Prisma.TokenScalarFieldEnum = {
  id: 'id',
  schoolId: 'schoolId',
  key: 'key',
  createUsername: 'createUsername',
  createtime: 'createtime'
};

exports.Prisma.SortOrder = {
  asc: 'asc',
  desc: 'desc'
};

exports.Prisma.NullsOrder = {
  first: 'first',
  last: 'last'
};


exports.Prisma.ModelName = {
  AWS_Policy_Role: 'AWS_Policy_Role',
  Ai_Agent_Assistants: 'Ai_Agent_Assistants',
  Ai_Agent_Threads: 'Ai_Agent_Threads',
  Assistant: 'Assistant',
  Chat: 'Chat',
  Disposition: 'Disposition',
  Group: 'Group',
  GroupFile: 'GroupFile',
  InvitationCode: 'InvitationCode',
  ai_agent_park_session: 'ai_agent_park_session',
  classroom_ob_comment: 'classroom_ob_comment',
  classroom_observation: 'classroom_observation',
  course_resource: 'course_resource',
  knowledge_construction_doc: 'knowledge_construction_doc',
  meeting_trick: 'meeting_trick',
  meeting_trick_chat: 'meeting_trick_chat',
  muti_agent_list: 'muti_agent_list',
  park_chat_file_list: 'park_chat_file_list',
  token: 'token'
};

/**
 * This is a stub Prisma Client that will error at runtime if called.
 */
class PrismaClient {
  constructor() {
    return new Proxy(this, {
      get(target, prop) {
        let message
        const runtime = getRuntime()
        if (runtime.isEdge) {
          message = `PrismaClient is not configured to run in ${runtime.prettyName}. In order to run Prisma Client on edge runtime, either:
- Use Prisma Accelerate: https://pris.ly/d/accelerate
- Use Driver Adapters: https://pris.ly/d/driver-adapters
`;
        } else {
          message = 'PrismaClient is unable to run in this browser environment, or has been bundled for the browser (running in `' + runtime.prettyName + '`).'
        }
        
        message += `
If this is unexpected, please open an issue: https://pris.ly/prisma-prisma-bug-report`

        throw new Error(message)
      }
    })
  }
}

exports.PrismaClient = PrismaClient

Object.assign(exports, Prisma)
